import { z } from 'zod'; export declare const pregameLoadoutsEndpoint: { readonly name: "Pre-Game Loadouts"; readonly description: "Get Pre-Game loadout data"; readonly queryName: "Pregame_GetMatchLoadouts"; readonly category: "Pre-Game Endpoints"; readonly type: "glz"; readonly suffix: "pregame/v1/matches/{pre-game match id}/loadouts"; readonly riotRequirements: { readonly token: true; readonly entitlement: true; }; readonly responses: { readonly '200': z.ZodObject<{ Loadouts: z.ZodArray, "many">; }, "strip", z.ZodTypeAny, { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }, { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }>; Expressions: z.ZodObject<{ AESSelections: z.ZodArray, "many">; }, "strip", z.ZodTypeAny, { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }, { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }>; Items: z.ZodRecord; }, "strip", z.ZodTypeAny, { ID: string; Item: { ID: string; TypeID: string; }; }, { ID: string; Item: { ID: string; TypeID: string; }; }>>; }, "strip", z.ZodTypeAny, { ID: string; TypeID: string; Sockets: Record; }, { ID: string; TypeID: string; Sockets: Record; }>>; }, "strip", z.ZodTypeAny, { Subject: string; Sprays: { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }; Expressions: { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }; Items: Record; }>; }, { Subject: string; Sprays: { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }; Expressions: { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }; Items: Record; }>; }>, "many">; LoadoutsValid: z.ZodBoolean; }, "strip", z.ZodTypeAny, { Loadouts: { Subject: string; Sprays: { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }; Expressions: { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }; Items: Record; }>; }[]; LoadoutsValid: boolean; }, { Loadouts: { Subject: string; Sprays: { SpraySelections: { SocketID: string; SprayID: string; LevelID: string; }[]; }; Expressions: { AESSelections: { SocketID: string; AssetID: string; TypeID: string; }[]; }; Items: Record; }>; }[]; LoadoutsValid: boolean; }>; }; }; export type PregameLoadoutsResponse = z.infer;